<?php

namespace App\Http\Middleware;

use Closure;

use Illuminate\Support\Facades\Auth;

class AuthMember
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $lang =\LaravelLocalization::getCurrentLocale();
        if (Auth::guard('member')->check()) {
            return $next($request); 
        }
      return redirect($lang.'/login');
    }
}
